| libusb 1.0.24 A cross-platform user library to access USB devices

Data Fields
libusb_container_id_descriptor Struct Reference
USB descriptors

A structure representing the Container ID descriptor. More...

`#include <libusb.h>`

## Data Fields
uint8_t | bLength
| Size of this descriptor (in bytes)
uint8_t | bDescriptorType
| Descriptor type. More...
uint8_t | bDevCapabilityType
| Capability type. More...
uint8_t | bReserved
| Reserved field.
uint8_t | ContainerID [16]
| 128 bit UUID

## Detailed Description

A structure representing the Container ID descriptor.

This descriptor is documented in section 9.6.2.3 of the USB 3.0 specification. All multiple-byte fields, except UUIDs, are represented in host-endian format.

## Field Documentation

## ◆ bDescriptorType

uint8_t libusb_container_id_descriptor::bDescriptorType

Descriptor type.

Will have value libusb_descriptor_type::LIBUSB_DT_DEVICE_CAPABILITY LIBUSB_DT_DEVICE_CAPABILITY in this context.

## ◆ bDevCapabilityType

uint8_t libusb_container_id_descriptor::bDevCapabilityType

Capability type.

Will have value libusb_capability_type::LIBUSB_BT_CONTAINER_ID LIBUSB_BT_CONTAINER_ID in this context.

The documentation for this struct was generated from the following file:

- libusb.h